### File

`packages/eui/packages/components-next/src/lib/layout/eui-breadcrumb/collapsed-breadcrumb/collapsed-breadcrumb.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-collapsed-breadcrumb`
styleUrls | `../_styles/breadcrumb-item.scss`
templateUrl | `collapsed-breadcrumb.component.html`

### Index

###### Properties
Public elementRef
###### Methods
add areThereBreadcrumbs getLastBreadcrumb hasCustomButton removeLast

### Constructor

`constructor(elementRef: ElementRef, renderer: Renderer2, viewRef: ViewContainerRef, resolver: ComponentFactoryResolver)`
Parameters :
Name | Type | Optional
elementRef | `ElementRef` | No
renderer | `Renderer2` | No
viewRef | `ViewContainerRef` | No
resolver | `ComponentFactoryResolver` | No

### Methods

add
`add(breadcrumb: EuiBreadcrumbItemComponent)`
Parameters :
Name | Type | Optional | Description
breadcrumb | `EuiBreadcrumbItemComponent` | No | The breadcrumb item to add
Returns : `void`

areThereBreadcrumbs
`areThereBreadcrumbs()`
Returns : `boolean`

getLastBreadcrumb
`getLastBreadcrumb()`
Returns : `EuiBreadcrumbItemComponent`

hasCustomButton
`hasCustomButton()`
check if there is a custom button provided Returns : `boolean`

removeLast
`removeLast()`
Returns : `void`

### Properties

Public elementRef
Type : `ElementRef`

# result-matching ""

# No results matching ""